public class Scholarship
{

	public static void testScholarship(
		boolean isAthlete,
		int SAT,
		int familyIncome)
	{
		System.out.print(familyIncome + "\t" + SAT 
			+ "\t" + isAthlete + "\t\t");
		if (isAthlete || (SAT > 1400) || (familyIncome < 30000))
		{
			System.out.println("Scholarship");
		}
		else
		{
			System.out.println("No");
		}
	}

	public static void main(String args[])
	{
		System.out.println("Income\tSAT\tAthlete?\tScholarship?");

		for (int familyIncome=25000; familyIncome< 35000; familyIncome += 1000)
		{
			for (int SAT=1200; SAT<=1600; SAT += 100)
			{
				// isAthlete = true
				testScholarship(true, SAT, familyIncome);
				// isAthlete = false
				testScholarship(false, SAT, familyIncome);
			}
		}
	}

}
